package com.ruoyi.system.domain;

import java.util.Arrays;
import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 考察主对象 investigate_table
 * 
 * @author ruoyi
 * @date 2023-10-10
 */
public class InvestigateTable extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long investigateTableId;
    /**
     * 只在查询时候使用
     */
    private String investigateTableIds;

    /** 考察名称 */
    @Excel(name = "考察名称")
    private String investigateName;

    /** 考察内容 */
    @Excel(name = "考察内容")
    private String content;

    /** 考察截止日期 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "考察截止日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /** 考察开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "考察开始日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date beginTime;

    /** 访问密码 */
    @Excel(name = "访问密码")
    private String cipher;
    /**
     * 接待单位
     */
    private String receptionUnit;
    /**
     * 考察人员集合
     */
    private List<InvestigateUser> investigateUserList;
    /**
     * 考察标题和内容关联集合
     */
    private List<InvestigateDispositionTable> investigateDispositionTableList;



    /** 考察配置组考察点id集合 */
    private String investigateDispositionIds;
    /** 考察配置组接待指南 */
    private String investigateDispositionIdsJieDai;
    /**
     * 状态:未开始 进行中 已结束
     */
    private String type;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getReceptionUnit() {
        return receptionUnit;
    }

    public void setReceptionUnit(String receptionUnit) {
        this.receptionUnit = receptionUnit;
    }

    public String getInvestigateTableIds() {
        return investigateTableIds;
    }

    public void setInvestigateTableIds(String investigateTableIds) {
        this.investigateTableIds = investigateTableIds;
    }

    public String getInvestigateDispositionIdsJieDai() {
        return investigateDispositionIdsJieDai;
    }

    public void setInvestigateDispositionIdsJieDai(String investigateDispositionIdsJieDai) {
        this.investigateDispositionIdsJieDai = investigateDispositionIdsJieDai;
    }

    public Date getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(Date beginTime) {
        this.beginTime = beginTime;
    }

    public List<InvestigateDispositionTable> getInvestigateDispositionTableList() {
        return investigateDispositionTableList;
    }

    public void setInvestigateDispositionTableList(List<InvestigateDispositionTable> investigateDispositionTableList) {
        this.investigateDispositionTableList = investigateDispositionTableList;
    }

    public List<InvestigateUser> getInvestigateUserList() {
        return investigateUserList;
    }

    public void setInvestigateUserList(List<InvestigateUser> investigateUserList) {
        this.investigateUserList = investigateUserList;
    }



    public Long getInvestigateTableId() {
        return investigateTableId;
    }

    public void setInvestigateTableId(Long investigateTableId) {
        this.investigateTableId = investigateTableId;
    }

    public void setInvestigateName(String investigateName)
    {
        this.investigateName = investigateName;
    }

    public String getInvestigateName() 
    {
        return investigateName;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setEndTime(Date endTime) 
    {
        this.endTime = endTime;
    }

    public Date getEndTime() 
    {
        return endTime;
    }
    public void setCipher(String cipher) 
    {
        this.cipher = cipher;
    }

    public String getCipher() 
    {
        return cipher;
    }

    public String getInvestigateDispositionIds() {
        return investigateDispositionIds;
    }

    public void setInvestigateDispositionIds(String investigateDispositionIds) {
        this.investigateDispositionIds = investigateDispositionIds;
    }

    @Override
    public String toString() {
        return "InvestigateTable{" +
                "investigateTableId=" + investigateTableId +
                ", investigateTableIds='" + investigateTableIds + '\'' +
                ", investigateName='" + investigateName + '\'' +
                ", content='" + content + '\'' +
                ", endTime=" + endTime +
                ", beginTime=" + beginTime +
                ", cipher='" + cipher + '\'' +
                ", receptionUnit='" + receptionUnit + '\'' +
                ", investigateUserList=" + investigateUserList +
                ", investigateDispositionTableList=" + investigateDispositionTableList +
                ", investigateDispositionIds='" + investigateDispositionIds + '\'' +
                ", investigateDispositionIdsJieDai='" + investigateDispositionIdsJieDai + '\'' +
                ", type='" + type + '\'' +
                '}';
    }
}
